%define major 1
%define libname %mklibname netfilter_acct %{major}
%define libnamedevel %mklibname netfilter_acct -d

Summary:	Netfilter extended accounting infrastructure library
Name:		libnetfilter_acct
Version:	1.0.3
Release:	%mkrel 4
Group:		System/Kernel and hardware
License:	GPL
URL:		https://www.netfilter.org/projects/libnetfilter_acct/index.html
Source0:	https://www.netfilter.org/projects/libnetfilter_acct/files/libnetfilter_acct-%{version}.tar.bz2
Source1:	https://www.netfilter.org/projects/libnetfilter_acct/files/libnetfilter_acct-%{version}.tar.bz2.sig
BuildRequires:	pkgconfig(libmnl) >= 1.0.0

%description
libnetfilter_acct is the userspace library providing interface to extended
accounting infrastructure.

%package -n	%{libname}
Summary:	Netfilter extended accounting infrastructure library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	netfilter_acct = %{version}-%{release}

%description -n	%{libname}
libnetfilter_acct is the userspace library providing interface to extended
accounting infrastructure.

%package -n	%{libnamedevel}
Summary:	Development files for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	netfilter_acct-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libnamedevel}
This package contains the development files for %{name}.

%prep
%setup -q

%build
%configure \
    --disable-static
%make_build

%check
make check

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.*a

%files -n %{libname}
%doc COPYING README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedevel}
%{_includedir}/libnetfilter_acct
%{_libdir}/*.so
%{_libdir}/pkgconfig/libnetfilter_acct.pc




%changelog
* Wed Mar 16 2022 umeabot <umeabot> 1.0.3-4.mga9
+ Revision: 1794823
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.0.3-3.mga8
+ Revision: 1514295
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-2.mga7
+ Revision: 1299037
- Mageia 7 Mass Rebuild

* Sat Sep 10 2016 luigiwalser <luigiwalser> 1.0.3-1.mga6
+ Revision: 1051193
- 1.0.3

* Sat Feb 06 2016 umeabot <umeabot> 1.0.2-5.mga6
+ Revision: 940433
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 740817
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-3.mga5
+ Revision: 681636
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.2-2.mga4
+ Revision: 532905
- Mageia 4 Mass Rebuild

* Fri Aug 23 2013 oden <oden> 1.0.2-1.mga4
+ Revision: 470293
- 1.0.2

* Tue Feb 12 2013 oden <oden> 1.0.1-1.mga3
+ Revision: 398083
- heh...
- imported package libnetfilter_acct


* Tue Feb 12 2013 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1.mga2
- initial Mageia package

* Tue Oct 09 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-0.1
- 1.0.1

* Tue May 29 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-0.1
- backported for 2011

* Mon Apr 16 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2
+ Revision: 791287
- rebuild

* Mon Apr 16 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1
+ Revision: 791236
- import libnetfilter_acct


* Mon Apr 16 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1
- initial Mandriva package
